%! TEX root = ../../master.tex
\lecture[]{Sa 27 Nov 2021}{Untitled}

\begin{editor}
    The presentation of the bachelor thesis topics will be held on 13$^{\text{th}}$ of december.
\end{editor}

We have to correct the proof of \autoref{prop:pushout-for-ndr-pair-gives-excisive-triad}, so we give a few more definitions here.

\begin{definition*}[Mapping cylinder]
    Let $f\colon X \to Y$.
    Then the \vocab{mapping cylinder} $M(f)$ is defined as 
    
    \[
        M(f)  \coloneqq X\times I \cup _{X \times \left\{1\right\} } Y \cong \faktor{X \times I \amalg  Y}{(x,1) \sim f(x)}
    \]
\end{definition*}

\begin{lemma*}
    Let $(X_1, X_0)$ be an NDR-pair.
    Let $i\colon  X_0 \to  X_1$ be the inclusion.
    Then
        \begin{equation*}
        p: \left| \begin{array}{c c l} 
            M(i) & \longrightarrow & X_1 \\
            (x,t) & \longmapsto &  x
        \end{array} \right.
    \end{equation*}
    is a homotopy equivalence such that there exists $r' \colon  X_1 \to  M(i)$ with homotopies $p \circ  r' \stackrel{H}{\simeq} \id_{X_1}$ relative to $X_0$ and $r' \circ p \stackrel{K}{\simeq}$ relative to $X_0 \times \left\{0\right\} $.
\end{lemma*}

\begin{proof}
    exercise.
\end{proof}

\begin{corollary*}
    Given a NDR-pair $(X_1,X_0)$ and a pushout
    \[
    \begin{tikzcd}
        X_0 \ar[swap]{d}{f} \ar{r}{i} & X_1 \ar{d}{g} \\
        X_2 \ar[swap]{r}{j} & X
    \end{tikzcd}
    \]
    Then
    \[
        M(i,f) \coloneqq  M(i) \bigcup_{X_0\times \left\{0\right\} }  X_2 = \faktor{M(i) \amalg X_2 }{(x,0) \sim  f(x)} \stackrel{(g \circ p) \cup j}{\longrightarrow} X
    \] 
    is a homotopy equivalence $M(i,f) \simeq X$
\end{corollary*}
\begin{proof}
    We have an inverse $X \to M(i) \stackrel{r' \cup \id_{X_2}}{\longrightarrow}  _{X_0 \times \left\{0\right\} } X_2$ and homotopies.
    \[
        X\times I \cong (X_1 \times I) \cup _{X_0 \times I} (X_2 \times I) \stackrel{H \cup \pr_{X_2}}{\longrightarrow} X
    \] 
    \[
        M(i,f) \times I \cong M(i) \times I \cup _{X_0 \times \left\{0\right\} \times I} \stackrel{K \cup \pr_{X_2}}{\longrightarrow} M(i,f)
    \] 
\end{proof}

\begin{refproof}{prop:pushout-for-ndr-pair-gives-excisive-triad}
    We want to show that $(X_1, X_0) \to  (X,X_2)$ is an $H_*$-isomorphism.
    Consider
    \[
    \begin{tikzcd}
        (X_1,X_0)  \ar{r}{} & (X,X_2) \\
        \ar[hook]{d}{\simeq}    (M(i),X_0\times \left\{0\right\} ) \ar[swap]{r}{} \ar{u}{M(i), X_0\times \left\{0\right\} )}[swap]{\simeq}& (M(i,f),X_2) \ar{u}[swap]{(g \circ  p) \cup j}{\simeq} \ar{d}{\simeq} \\
        \ar{r}       (M(i), X_0\times \left[ 0, \frac{1}{2}\right)) & (M(i,f), X_2 \cup _{X_0 \times \left\{0\right\} } X_0 \times \left[ 0, \frac{1}{2}\right))
    \end{tikzcd}
    \]
But the bottom morphism is an $H_*$-isomorphism by excision, since
\[
    X_2 \setminus f(X_0) \subset X_2 \cup _{X_0 \times \left\{0\right\} } X_0 \times \left[ 0, \frac{1}{2}\right) \subset M(i,f)
\] 
\end{refproof}

\begin{oral}
    The fault in the old proof was that $A\hookrightarrow V \coloneqq u^{-1}([0,1))$ is not necessarily a homotopy equivalence.
    This is because $h$ does not necessarily preserve  $V$, this is only the case for \emph{strong} NDR-pairs.
\end{oral}

\begin{proposition}\label{prop:homology-of-complex-projective-space}
    We have
    \[
        H_k(\mathbb{C}\mathbb{P}^n) \cong \begin{cases}
            \mathbb{Z} & 0 \leq  k \leq  2n, k \text{ even} \\
            0 & \text{else}
        \end{cases}
    \] 
\end{proposition}
\begin{proof}
    By induction on $k$.

    For  $n=0$,  $\mathbb{C}\mathbb{P}^0 = \star$, so $H_0(\mathbb{C}\mathbb{P}^n) \cong \mathbb{Z}$.

    For $n=1$, we have the pushout
    \[
    \begin{tikzcd}
        S_1 \ar[swap]{d}{} \ar{r}{} & \star \ar{d}{} \\
        D^2 \ar[swap]{r}{} & \mathbb{C}\mathbb{P}^1 \cong S^2
    \end{tikzcd}
    \]
    so we already know $H_2(\mathbb{C}\mathbb{P}^n) \cong \mathbb{Z}$.

    Now induct $n-1 \mapsto n$.
    Then with the pushout
    \[
    \begin{tikzcd}
\pushout        S^{2n-1} \ar[swap]{d}{} \ar{r}{} & \mathbb{C}\mathbb{P}^{n-1} \ar{d}{} \\
        D^{2n} \ar[swap]{r}{} & \mathbb{C}\mathbb{P}^n
    \end{tikzcd}
    \]
    we can use \autoref{prop:pushout-for-ndr-pair-gives-excisive-triad} and conclude that
    \[
        H_k(\mathbb{C}\mathbb{P}^n, \mathbb{C}\mathbb{P}^{n-1}) \cong H_k(D^{2n}, S^{2n}-1) \cong \begin{cases}
            \mathbb{Z} & k = 2n \\
            0 & \text{else}
        \end{cases} 
    \] 
    By the pair sequence, we have the exact sequence
    \[
        H_{k+1}(\mathbb{C}\mathbb{P}^n, \mathbb{C}\mathbb{P}^{n-1}) \stackrel{\partial}{\longrightarrow} H_k(\mathbb{C}\mathbb{P}^{n-1}) \stackrel{}{\longrightarrow} H_k(\mathbb{C}\mathbb{P}^n) \stackrel{}{\longrightarrow} H_k(\mathbb{C}\mathbb{P}^n, \mathbb{C}\mathbb{P}^{n-1})
    \]
    As long as $H_{k+1}(\mathbb{C}\mathbb{P}^n, \mathbb{C}\mathbb{P}^{n-1})  = H_k(\mathbb{C}\mathbb{P}^n, \mathbb{C}\mathbb{P}^{n-1}) = 0$, this gives an isomorphism
    \[
        H_k(\mathbb{C}\mathbb{P}^n) \cong H_k(\mathbb{C}\mathbb{P}^{n-1}) \qquad \forall k \neq  2n, 2n-1
    \]
    We still have the sequence
    \[
        0 \to  \underbrace{H_{2n}(\mathbb{C}\mathbb{P}^{n-1})}_{= 0} \stackrel{}{\longrightarrow} H_{2n}(\mathbb{C}\mathbb{P}^n) \to  H_{2n}(\mathbb{C}\mathbb{P}^n, \mathbb{C}\mathbb{P}^{n-1}) \stackrel{\partial}{\longrightarrow} \underbrace{H_{2n-1}(\mathbb{C}\mathbb{P}^{n-1})}_{=0} \to H_{2n-1}(\mathbb{C}\mathbb{P}^n) \to 0
    \]
    so that we have an isomorphism $H_{2n}(\mathbb{C}\mathbb{P}^n) \cong H_{2n}(\mathbb{C}\mathbb{P}^n, \mathbb{C}\mathbb{P}^{n-1}) = \mathbb{Z}$ and $H_{2n-1}(\mathbb{C}\mathbb{P}^n) = 0$ as claimed.
\end{proof}

\begin{definition}\label{def:subcomplex}
    \begin{enumerate}[1.]
        \item Let $(X,A)$ be a relative  $CW$-complex.
            A relative CW-complex  $(Y,A)$ is a \vocab{subcomplex} of $(X,A)$ if
            \begin{enumerate}[p]
                \item $Y\subset X$ is a subspace
                \item $Y_n = Y\cap X_n$
                \item $Y_n \setminus Y_{n-1}$ is a union of path-components of $X_n \setminus X_{n-1}$
            \end{enumerate}
        \item If $X$ is a CW-complex,  $Y\subset X$ is a subcomplex, then we call $(X,Y)$ a \vocab{CW-pair}.
    \end{enumerate}
\end{definition}

\begin{remark*}
    In the definition of the subcomplex, property $(iii)$ actually follows from $(i)$ and  $(ii)$, but since we do not want to prove this, we make this part of the definition.
\end{remark*}

\begin{ddefinition}
    Let $X$ be a CW-complex.
     $X$ is called
     \begin{enumerate}[1.]
         \item \vocab{n}-dimensional, if $X = X_n$, but  $X \neq  X_{n-1}$.
         \item \vocab{finite-dimensional}, if $X = X_n$ for some  $n$. 
         \item of \vocab{finite type}, if $I_n$ is finite for all $n$. 
         \item \vocab{finit}, if it is finite-dimensional and of finite-type. 
     \end{enumerate}
\end{ddefinition}


\begin{example*}
    \begin{enumerate}[1.]
        \item $\mathbb{R}\mathbb{P}^k$ is $k$-dimensional and thus finite-dimensional.
            It is also of finite type, and thus finite.
        \item $\mathbb{R}\mathbb{P}^{\infty}, S^{\infty}$ are not finite, but they are of finite type
        \item $\mathbb{R}$, realised as a CW-complex, is not of finite-type.
    \end{enumerate}
\end{example*}

\begin{lemma}\label{lm:subcomplexes-are-closed-subsets}
    If $(Y,A)\subset (X,A)$ is a subcomplex, then $Y\subset X$ is closed.
\end{lemma}

\begin{proof}
    By the CW-topology, we have to show that $Y_n = Y \cap X_n \subset X_n$ is closed.

    Assume by induction that $Y_{n-1}\subset X_{n-1}$ is closed (for the induction start we have that $Y_{-1}= A \subset A = X_{-1}$ is closed).

    Recalling the pushout
    \[
    \begin{tikzcd}
        \coprod_{j\in I_n} \ar[swap]{d}{} \ar{r}{} & X_{n-1} \ar{d}{} \\
        \coprod_{j\in I_n}D^n \ar[swap]{r}{\coprod Q_j} & X_n
    \end{tikzcd}
    \]
    
    it remains to show that $Q_j^{-1}(Y) \subset D^n$ is closed for all $j\in I_n$.
    By condition $(iii)$, either $Q_j^{-1}(Y_n) = D^n$ or $Q_j^{-1}(Y_n) \subset S^{n-1}$.
    In the latter case, $Q_j^{-1}(Y_n) = q_j^{-1}(Y_{n-1}) \subset S^{n-1}$ is closed.
\end{proof}

\begin{lemma}\label{lm:cw-complex-is-quotient-of-relative-space-and-disjount-union-of-disks}
    Let $(X,A)$ be a relative  $CW$-complex.
    Any choice of characteristic maps  $Q_{i}^n \colon D^n \to X$ induces a quotient map
    \[
    A \amalg \coprod_{n\in \mathbb{N}} \coprod_{j\in I_n} D^n \stackrel{p}{\longrightarrow} X
    \] 
    where $p = i \amalg \coprod_{n\in \mathbb{N}} \coprod_{j\in I_n} Q_j^n$
\end{lemma}

\begin{proof}
    This map is a continuous surjection by definition.
    Now let $B\subset X$ such that $p^{-1} (B)$ is closed.
    Then $(Q_j^n)^{-1}(B)\subset D^n$ is closed for all $j\in I_n$ and $B\cap A$ is closed.
    By the same induction as in the proof of \autoref{lm:subcomplexes-are-closed-subsets}, $B\subset X$ is closed.
\end{proof}

\begin{lemma}\label{lm:quotient-map-gives-rise-to-cw-complex-if-it-has-correct-relations}
    Let $X$ be a space and let 
     \[
    A \amalg \coprod_{n\in \mathbb{N}} \coprod_{j\in I_n} D^n \stackrel{p}{\longrightarrow} X
    \] 
    be a quotient map.
    Then this gives $X$ the structure of a CW-complex if for 
     \[
    \hat{X}^n \coloneqq A \amalg \coprod_{k\leq n} \coprod_{j\in I_k} D^k
    \] 
    and $X_n \coloneqq p(\hat{X}_n)$, the equivalence relation on $\hat{X}_n$ is induced by
    \begin{enumerate}[1.]
        \item the equivalence relation on $\hat{X}_{n-1}$ and
        \item a map $\coprod_{j\in I_n} S^{n-1} \to X_{n-1}$
    \end{enumerate}
\end{lemma}

\begin{proof}
    By definition, there is a pushout
    \[
    \begin{tikzcd}
        \coprod_{j\in I_n}S^{n-1} \ar[swap]{d}{} \ar{r}{} & X_{n-1} \ar{d}{} \\
        \coprod_{j\in I_n}D^n \ar[swap]{r}{} & X_n
    \end{tikzcd}
    \]
    and $X = \bigcup_{n\geq -1} X_n$.
    Since $p$ is a quotient map,  $B\subset X$ is open if $p^{-1} (B)$ is open.
    This is the case iff $B\cap A$ is open and $B$ is open in each cell.
    So  $X$ has the colimit topology.
\end{proof}

\begin{theorem}\label{thm:product-of-cw-complex-is-cw-complex-if-one-is-locally-compact}
    Let $X,Y$ be CW-complexes and let  $Y$ be locally compact. Then  $X\times Y$ is a CW-complex.
\end{theorem}

\begin{oral}
    The condition that $Y$ is locally compact is necessary so that  $X\times Y$ with the product topology gets the corresponding topology as a CW-complex.
\end{oral}

\begin{proof}
    By \autoref{lm:cw-complex-is-quotient-of-relative-space-and-disjount-union-of-disks}, we can write $X$ and  $Y$ as quotients.
    Set 
     \[
    \hat{X} \coloneqq \coprod_{n\in \mathbb{N}} \coprod _{j\in J_n} D^n \stackrel{p}{\longrightarrow} X, \qquad \hat{Y} \coloneqq \coprod_{n\in \mathbb{N}} \coprod_{i\in I_n} D^n \stackrel{q}{\longrightarrow} Y
    \]
    Also take
    \[
        \hat{X}_n \coloneqq \coprod_{k\leq (} \coprod_{j\in J_k} D^k, \qquad \hat{Y}_n \coloneqq  \coprod_{k\leq n} \coprod_{i\in I_k} D^k
    \] 
    Consider the product
    \[
    \begin{tikzcd}
        \hat{X}\times \hat{Y} \ar[phantom]{d}[rotate=-90]{\cong} \ar{r}{} & X\times Y \\
        \coprod_{n\in \mathbb{N}}\coprod_{l+k=n}\coprod_{\substack{j\in J_l \\ i\in I_k}} (D^l \times D^k)
    \end{tikzcd}
    \]
    The induced equivalence relation is as in \autoref{lm:quotient-map-gives-rise-to-cw-complex-if-it-has-correct-relations}:
    \[
        \partial(D^l \times D^k) = D^l \times \partial D^k \cup \partial D^l \times D^k \subset \bigcup_{a+b\leq n-1} \hat{X}_a \times \hat{Y}_b 
    \]

    Hence the quotient of $\hat{X} \times \hat{Y}$ by this relation is a CW-complex by \autoref{lm:quotient-map-gives-rise-to-cw-complex-if-it-has-correct-relations}.
    It remains to show that $X\times Y$ really is endowed with the quotient topology, i.e that
    \[
    \hat{X} \times \hat{Y} \stackrel{p \times q}{\longrightarrow} X\times Y
    \] 
    is a quotient map.
    This factors through
    \[
    \hat{X} \times \hat{Y} \to  \hat{X} \times Y \to  X\times Y
    \]
    Since $\hat{X}$ and $Y$ are locally compact, taking product with them preserves quotient maps. (This was proved in last terms \cite{geotopo}), so that both parts of the map are quotient maps, and thus $p\times q$ is as well.
\end{proof}
